pg_last_oid
pg_lo_create
PostgreSQL Functions
PHP Manual

# pg_lo_close

(PHP 4 >= 4.2.0, PHP 5)

pg_lo_close — Close a large object

### Description

bool pg_lo_close ( resource `$large_object` )

pg_lo_close() closes a large object. `large_object` is a resource for the large object from pg_lo_open().

To use the large object interface, it is necessary to enclose it within a transaction block.

> Note:

> This function used to be called pg_loclose().

### Parameters

`result`

  PostgreSQL large object (LOB) resource, returned by pg_lo_open().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 pg_lo_close() example

`<?php
$database = pg_connect("dbname=jacarta");
pg_query($database, "begin");
$oid = pg_lo_create($database);
echo "$oid\n";
$handle = pg_lo_open($database, $oid, "w");
echo "$handle\n";
pg_lo_write($handle, "large object data");
pg_lo_close($handle);
pg_query($database, "commit");
?>`

### See Also

- pg_lo_open() - Open a large object
- pg_lo_create() - Create a large object
- pg_lo_import() - Import a large object from file

pg_last_oid
pg_lo_create
PostgreSQL Functions
PHP Manual